install.pl: Add RPM requirements for SLES
authorVladimir Sokolovsky <vlad@mellanox.com>
Fri, 9 Nov 2018 20:06:52 +0000 (22:06 +0200)
committerVladimir Sokolovsky <vlad@mellanox.com>
Fri, 9 Nov 2018 20:07:00 +0000 (22:07 +0200)
kernel-source and kernel-default-devel are required to build compat-rdma
RPM

Signed-off-by: Vladimir Sokolovsky <vlad@mellanox.com>
install.pl

index cbc77e3..45a3cd5 100755 (executable)
@@ -1976,6 +1976,14 @@ sub check_linux_dependencies
                     print RED "Please install the corresponding kernel-source or kernel-devel RPM.", RESET "\n";
                     $err++;
                 }
+                if ($DISTRO =~ m/SLES/) {
+                    for my $req_rpm ("kernel-source", "kernel-default-devel") {
+                        if (not is_installed($req_rpm)) {
+                            print RED "$req_rpm is required to build $package RPM", RESET "\n";
+                            $err++;
+                        }
+                    }
+                }
             }
         }